#!/bin/sh

# Only used for dev and test setup
aws \
  --no-verify-ssl \
  --endpoint-url=https://access-mockaws:4569 \
  --region=us-east-1 \
  dynamodb create-table \
    --table-name localdev_access_grants \
    --attribute-definitions AttributeName=principal,AttributeType=S AttributeName=org_ref,AttributeType=S \
    --key-schema AttributeName=principal,KeyType=HASH AttributeName=org_ref,KeyType=RANGE \
    --provisioned-throughput ReadCapacityUnits=5,WriteCapacityUnits=5 \
    --global-secondary-indexes \
        'IndexName=org-ref-index, KeySchema=[{AttributeName=org_ref,KeyType=HASH}], Projection={ProjectionType=ALL},
        ProvisionedThroughput={ReadCapacityUnits=5,WriteCapacityUnits=5}'

aws \
  --no-verify-ssl \
  --endpoint-url=https://access-mockaws:4569 \
  --region=us-east-1 \
  dynamodb create-table \
    --table-name localdev_access_roles \
    --attribute-definitions AttributeName=urn,AttributeType=S AttributeName=child_urn,AttributeType=S AttributeName=scoped,AttributeType=S \
    --key-schema AttributeName=urn,KeyType=HASH AttributeName=child_urn,KeyType=RANGE \
    --provisioned-throughput ReadCapacityUnits=20,WriteCapacityUnits=20 \
    --global-secondary-indexes \
        'IndexName=child-urn-index, KeySchema=[{AttributeName=child_urn,KeyType=HASH}], Projection={ProjectionType=ALL},
        ProvisionedThroughput={ReadCapacityUnits=5,WriteCapacityUnits=5}' \
        'IndexName=scoped-index, KeySchema=[{AttributeName=scoped,KeyType=HASH}], Projection={ProjectionType=ALL},
        ProvisionedThroughput={ReadCapacityUnits=5,WriteCapacityUnits=5}'
