#!/bin/sh

export CONNECTOR_ID=ABCDEF1234
export CONNECTOR_KEY=PZSGFNGMISYDXXXXXXXXX

echo -n "---------------CREATING ROLE MANAGER DEFINITION---------------"

# Create the Secops Role Manager in the Dynamo Db Table
aws --no-verify-ssl --endpoint-url=https://access-mockaws:4569 --region=us-east-1 dynamodb batch-write-item --request-items file://local/localdev-batchWriteSecops.json
aws --no-verify-ssl --endpoint-url=https://access-mockaws:4569 --region=us-east-1 dynamodb batch-write-item --request-items file://local/localdev-batchWriteIdentityRole.json

 echo -n "---------------CREATING CUSTOM CONNECTOR IN ELASTICSEARCH---------------"

curl -s -XPUT -H "Content-Type: application/json" elasticsearch:9200/connector/confer/1_$CONNECTOR_KEY?routing=1 -d @local/localdev-role-manager-service-connector.json
sleep 5
curl -s -XPOST http://elasticsearch:9200/a_connector/_search

echo "---------------CONNECTOR AUTH TOKEN---------------"

echo "X-Auth-Token:"$CONNECTOR_KEY"/"$CONNECTOR_ID

echo "--------------------------------------------------"

principal="psc:cnn:R76KWHRN:"$CONNECTOR_ID
orgRef="psc:org:R76KWHRN"

echo -n "---------------ASSOCIATING CUSTOM CONNECTOR WITH GRANT---------------"

# Create a Grant with the Secops Manager Role
aws --no-verify-ssl --endpoint-url=https://access-mockaws:4569 --region=us-east-1 dynamodb put-item --table-name localdev_access_grants --item '{"version": {"N": "1"},"principal": {"S": "'$principal'"},"org_ref": {"S": "'$orgRef'"},"roles": {"SS": ["psc:role::SECOPS_ROLE_MANAGER"]},"updated_by": {"S": "'$principal'"},"revoked": {"N": "0"}}'
